Holger's Java API

## com.antelmann.net.mail
Class IMAPAccount

    java.lang.Object
      com.antelmann.net.mail.IMAPAccount

All Implemented Interfaces:
  Serializable

    @ThirdParty(value="javax.mail")
    public class IMAPAccount

extends Object
implements Serializable

Since:
  15.04.2016, 11:41:28
Author:
  holger
See Also:
  Serialized Form

Field Summary
`static String` `INBOX`
`static String` `PROTOCOL`

Constructor Summary
`IMAPAccount(String host, String user, String password)`
`IMAPAccount(String host, String user, String password, Properties props)`

Method Summary
`static void` `addFoldersFor(javax.mail.Folder folder, ArrayList<javax.mail.Folder> list)`
`boolean` `equals(Object obj)`
`javax.mail.Store` `getConnectedStore()`
`IteratorQueue<Email>` `getInboxEmails()`
`Properties` `getProperties()`
`javax.mail.Session` `getSession()`
`int` `hashCode()`
`void` `initSession()` automatically called during construction; required after deserialization
`static ArrayList<javax.mail.Folder>` `listAllFolders(javax.mail.Store store)` requires a connected store

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL

    public static String PROTOCOL

### INBOX

    public static String INBOX

Constructor Detail

### IMAPAccount

    public IMAPAccount(String host,
                       String user,
                       String password)

### IMAPAccount

    public IMAPAccount(String host,
                       String user,
                       String password,
                       Properties props)

Method Detail

### getProperties

    public Properties getProperties()

### initSession

    public void initSession()

  automatically called during construction; required after deserialization

### getSession

    public javax.mail.Session getSession()

### getConnectedStore

    public javax.mail.Store getConnectedStore()
                                       throws javax.mail.MessagingException

  Throws:
    `javax.mail.MessagingException`

### getInboxEmails

    public IteratorQueue<Email> getInboxEmails()

### listAllFolders

    public static ArrayList<javax.mail.Folder> listAllFolders(javax.mail.Store store)
                                                       throws javax.mail.MessagingException

  requires a connected store

  Throws:
    `javax.mail.MessagingException`

### addFoldersFor

    public static void addFoldersFor(javax.mail.Folder folder,
                                     ArrayList<javax.mail.Folder> list)
                              throws javax.mail.MessagingException

  Throws:
    `javax.mail.MessagingException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads